/*! CSS Used from: https://bitflux.pro/themes/1/css/main.css */
*,
:after,
:before {
    box-sizing: border-box;
}

canvas {
    margin: 0;
    padding: 0;
}

.trade__chart {
    background-color: var(--color-bb-10);
    position: relative;
}

.trade__p2-col .trade__chart {
    max-height: 35rem;
    min-height: 35rem;
}

.trade-menu {
    border-bottom: .0714285714rem solid var(--border-color);
    display: flex;
    overflow: auto hidden;
    padding: 0 .5rem;
    scrollbar-width: none;
}

.trade-menu__item {
    background-color: transparent;
    color: var(--color-title);
    cursor: pointer;
    font-size: .75rem;
    font-weight: 500;
    margin: 0 1rem 0 0;
    outline: none;
    padding: .5rem 0;
    position: relative;
    transition: border-color .1s, color .1s;
    white-space: nowrap;
}

.trade-menu__item:after {
    background-color: var(--color-main);
    bottom: -.0714285714rem;
    content: "";
    height: .0714285714rem;
    left: 50%;
    pointer-events: none;
    position: absolute;
    transform: translateX(-50%);
    transition: height .1s, width .1s;
    width: 0;
}

.trade-menu__item--active:after {
    height: .1428571429rem;
    width: 100%;
}

.trade-box {
    background-color: var(--color-bb-10);
    height: 100%;
    padding: .5rem;
}

.trade-box__header {
    color: var(--color-title);
    margin-bottom: .75rem;
}

.trade-box__body {
    height: 100%;
}

.trade-chart {
    height: 26rem;
    position: relative;
}

.trade__chart .klinecharts-pro[data-theme=dark] {
    --klinecharts-pro-hover-background-color: #2e2e34;
    --klinecharts-pro-background-color: #050505;
    --klinecharts-pro-popover-background-color: #050505;
    --klinecharts-pro-text-color: #ece9fe;
    --klinecharts-pro-text-second-color: #8e8c98;
    --klinecharts-pro-border-color: #282a2e;
    --klinecharts-pro-primary-color: #7959f6;
    --klinecharts-pro-selected-color: rgba(255, 106, 86, .15);
}

.trade__chart .klinecharts-pro-period-bar .period+.tools {
    border-left: none;
    border-right: none;
    margin-left: 0;
}

.trade__chart .klinecharts-pro-watermark {
    opacity: .03;
    transform: translate(-50%) translateY(-50%) scale(12);
}

.trade__chart .klinecharts-pro-period-bar {
    display: initial;
}

.trade__chart .klinecharts-pro-period-bar .menu-container {
    float: left;
}

.trade__chart .klinecharts-pro-period-bar .period {
    align-items: center;
    border-radius: 0;
    color: var(--color-desc);
    display: flex;
    float: left;
    font-size: .875rem;
    font-weight: 400;
    height: 100%;
    justify-content: center;
    margin: 0;
    min-width: 1.5rem;
    padding: .25rem .375rem;
}

.trade__chart .klinecharts-pro-period-bar .period.item.selected {
    background: transparent !important;
    font-weight: 500;
    color: var(--color-main);
}

.trade__chart .klinecharts-pro-period-bar .period:not(.selected):hover {
    background-color: var(--color-bg-box-1);
    color: var(--color-desc);
}

.trade__chart .klinecharts-pro-period-bar .symbol {
    display: none;
}

.trade__chart .klinecharts-pro-period-bar .tools {
    float: right;
}

.trade__chart .klinecharts-pro-period-bar .tools svg {
    margin: 0;
}

.trade__chart .klinecharts-pro-period-bar .tools span {
    display: none;
}

.g-h450 {
    height: 32.1428571429rem !important;
}

[width="20"] {
    width: 1.4285714286rem;
}

[height="20"] {
    height: 1.4285714286rem;
}

@media (min-width: 768px) {
    .trade-menu {
        padding: 0 1rem;
    }

    .trade-menu__item {
        margin-right: 1.5rem;
    }
}

/*! CSS Used from: Embedded */
.klinecharts-pro-watermark {
    opacity: .03;
    transform: translate(-50%) translateY(-50%) scale(12);
}

/*! CSS Used from: Embedded */
[class^=icon-] {
    font-family: icomoon !important;
    speak: never;
    font-style: normal;
    font-variant: normal;
    font-weight: 400;
    line-height: 1;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.klinecharts-pro-period-bar {
    border-bottom: 1px solid var(--klinecharts-pro-border-color);
    height: 38px;
    width: 100%;
}

.klinecharts-pro-period-bar,
.klinecharts-pro-period-bar .menu-container {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
}

.klinecharts-pro-period-bar .menu-container {
    border-right: 1px solid var(--klinecharts-pro-border-color);
    height: 100%;
    justify-content: center;
    width: 52px;
}

.klinecharts-pro-period-bar .menu-container svg {
    fill: var(--klinecharts-pro-text-color);
    cursor: pointer;
    height: 28px;
    transition: all .2s;
    width: 28px;
}

.klinecharts-pro-period-bar .symbol {
    align-items: center;
    border-right: 1px solid var(--klinecharts-pro-border-color);
    box-sizing: border-box;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    font-size: 18px;
    font-weight: 700;
    height: 100%;
    padding: 0 12px;
}

.klinecharts-pro-period-bar .item {
    box-sizing: border-box;
    cursor: pointer;
    transition: all .2s;
    fill: var(--klinecharts-pro-text-color);
}

.klinecharts-pro-period-bar .item.selected {
    background-color: var(--klinecharts-pro-selected-color) !important;
    color: var(--klinecharts-pro-primary-color);
}

.klinecharts-pro-period-bar .period {
    border-radius: 2px;
    margin: 0 4px;
    padding: 2px 6px;
}

.klinecharts-pro-period-bar .period:hover {
    background-color: var(--klinecharts-pro-hover-background-color);
}

.klinecharts-pro-period-bar .symbol+.period {
    margin-left: 12px;
}

.klinecharts-pro-period-bar .tools {
    align-items: center;
    border-right: 1px solid var(--klinecharts-pro-border-color);
    display: flex;
    flex-direction: row;
    height: 100%;
    justify-content: center;
    padding: 0 12px;
}

.klinecharts-pro-period-bar .tools:hover {
    fill: var(--klinecharts-pro-primary-color);
    color: var(--klinecharts-pro-primary-color);
}

.klinecharts-pro-period-bar .tools svg {
    height: 16px;
    margin-right: 4px;
    width: 16px;
}

.klinecharts-pro-period-bar .period+.tools {
    border-left: 1px solid var(--klinecharts-pro-border-color);
    margin-left: 8px;
}

.klinecharts-pro-drawing-bar {
    border-right: 1px solid var(--klinecharts-pro-border-color);
    box-sizing: border-box;
    height: 100%;
    width: 52px;
}

.klinecharts-pro-drawing-bar .item {
    align-items: center;
    color: var(--klinecharts-pro-text-second-color);
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 8px;
    position: relative;
    width: 100%;
    fill: var(--klinecharts-pro-text-second-color);
    stroke: var(--klinecharts-pro-text-second-color);
}

.klinecharts-pro-drawing-bar .item .icon-overlay {
    border-radius: 2px;
    height: 32px;
    transition: all .2s;
    width: 32px;
}

.klinecharts-pro-drawing-bar .item .icon-overlay:hover {
    background-color: var(--klinecharts-pro-hover-background-color);
}

.klinecharts-pro-drawing-bar .item .icon-arrow {
    align-items: center;
    border-bottom-left-radius: 2px;
    border-top-left-radius: 2px;
    display: flex;
    flex-direction: row;
    height: 32px;
    justify-content: center;
    opacity: 0;
    position: absolute;
    right: 0;
    top: 0;
    transition: all .2s;
    width: 10px;
    z-index: 10;
}

.klinecharts-pro-drawing-bar .item .icon-arrow svg {
    height: 6px;
    transition: all .2s;
    width: 4px;
}

.klinecharts-pro-drawing-bar .item .icon-arrow:hover {
    background-color: var(--klinecharts-pro-hover-background-color);
}

.klinecharts-pro-drawing-bar .item:hover .icon-arrow {
    opacity: 1;
}

.klinecharts-pro-drawing-bar .split-line {
    background-color: var(--klinecharts-pro-border-color);
    display: block;
    height: 1px;
    margin-top: 8px;
    width: 100%;
}

.klinecharts-pro {
    --klinecharts-pro-primary-color: #1677ff;
    --klinecharts-pro-hover-background-color: rgba(22, 119, 255, .15);
    --klinecharts-pro-background-color: #fff;
    --klinecharts-pro-popover-background-color: #fff;
    --klinecharts-pro-text-color: #051441;
    --klinecharts-pro-text-second-color: #76808f;
    --klinecharts-pro-border-color: #ebedf1;
    --klinecharts-pro-selected-color: rgba(22, 119, 255, .15);
    background-color: var(--klinecharts-pro-background-color);
    color: var(--klinecharts-pro-text-color);
    display: flex;
    flex-direction: column;
    font-size: 14px;
    height: 80vh;
    position: relative;
}

.klinecharts-pro[data-theme=dark] {
    --klinecharts-pro-hover-background-color: rgba(22, 119, 255, .15);
    --klinecharts-pro-background-color: #151517;
    --klinecharts-pro-popover-background-color: #1c1c1f;
    --klinecharts-pro-text-color: #f8f8f8;
    --klinecharts-pro-text-second-color: #929aa5;
    --klinecharts-pro-border-color: #292929;
}

.klinecharts-pro-watermark {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%) translateY(-50%);
    z-index: 1;
}

.klinecharts-pro-price-unit {
    background-color: var(--klinecharts-pro-background-color);
    border: 1px solid var(--klinecharts-pro-border-color);
    border-radius: 4px;
    box-shadow: 0 3px 3px #3232324d;
    color: var(--klinecharts-pro-text-second-color);
    display: none;
    font-size: 10px;
    font-weight: 700;
    left: 50%;
    padding: 1px 4px;
    position: absolute;
    top: 4px;
    transform: translate(-50%);
    z-index: 30;
}

.klinecharts-pro-load-icon {
    height: 0;
    left: 0;
    opacity: 0;
    position: absolute;
    z-index: -1;
}

.klinecharts-pro-content {
    display: flex;
    flex-direction: row;
    height: calc(100% - 38px);
    position: relative;
    width: 100%;
}

.klinecharts-pro-widget {
    height: 100%;
    margin-left: 0;
    width: calc(100% - 52px);
}

/*! CSS Used from: https://bitflux.pro/_nuxt/entry.B0c0VIVY.css */
.klinecharts-pro-watermark {
    opacity: .03;
    transform: translate(-50%) translateY(-50%) scale(12);
}

[class^=icon-] {
    font-family: icomoon !important;
    speak: never;
    font-style: normal;
    font-variant: normal;
    font-weight: 400;
    line-height: 1;
    text-transform: none;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.klinecharts-pro-period-bar {
    border-bottom: 1px solid var(--klinecharts-pro-border-color);
    height: 38px;
    width: 100%;
}

.klinecharts-pro-period-bar,
.klinecharts-pro-period-bar .menu-container {
    align-items: center;
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
}

.klinecharts-pro-period-bar .menu-container {
    border-right: 1px solid var(--klinecharts-pro-border-color);
    height: 100%;
    justify-content: center;
    width: 52px;
}

.klinecharts-pro-period-bar .menu-container svg {
    fill: var(--klinecharts-pro-text-color);
    cursor: pointer;
    height: 28px;
    transition: all .2s;
    width: 28px;
}

.klinecharts-pro-period-bar .symbol {
    align-items: center;
    border-right: 1px solid var(--klinecharts-pro-border-color);
    box-sizing: border-box;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    font-size: 18px;
    font-weight: 700;
    height: 100%;
    padding: 0 12px;
}

.klinecharts-pro-period-bar .item {
    box-sizing: border-box;
    cursor: pointer;
    transition: all .2s;
    fill: var(--klinecharts-pro-text-color);
}

.klinecharts-pro-period-bar .item.selected {
    background-color: var(--klinecharts-pro-selected-color) !important;
    color: var(--klinecharts-pro-primary-color);
}

.klinecharts-pro-period-bar .period {
    border-radius: 2px;
    margin: 0 4px;
    padding: 2px 6px;
}

.klinecharts-pro-period-bar .period:hover {
    background-color: var(--klinecharts-pro-hover-background-color);
}

.klinecharts-pro-period-bar .symbol+.period {
    margin-left: 12px;
}

.klinecharts-pro-period-bar .tools {
    align-items: center;
    border-right: 1px solid var(--klinecharts-pro-border-color);
    display: flex;
    flex-direction: row;
    height: 100%;
    justify-content: center;
    padding: 0 12px;
}

.klinecharts-pro-period-bar .tools:hover {
    fill: var(--klinecharts-pro-primary-color);
    color: var(--klinecharts-pro-primary-color);
}

.klinecharts-pro-period-bar .tools svg {
    height: 16px;
    margin-right: 4px;
    width: 16px;
}

.klinecharts-pro-period-bar .period+.tools {
    border-left: 1px solid var(--klinecharts-pro-border-color);
    margin-left: 8px;
}

.klinecharts-pro-drawing-bar {
    border-right: 1px solid var(--klinecharts-pro-border-color);
    box-sizing: border-box;
    height: 100%;
    width: 52px;
}

.klinecharts-pro-drawing-bar .item {
    align-items: center;
    color: var(--klinecharts-pro-text-second-color);
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin-top: 8px;
    position: relative;
    width: 100%;
    fill: var(--klinecharts-pro-text-second-color);
    stroke: var(--klinecharts-pro-text-second-color);
}

.klinecharts-pro-drawing-bar .item .icon-overlay {
    border-radius: 2px;
    height: 32px;
    transition: all .2s;
    width: 32px;
}

.klinecharts-pro-drawing-bar .item .icon-overlay:hover {
    background-color: var(--klinecharts-pro-hover-background-color);
}

.klinecharts-pro-drawing-bar .item .icon-arrow {
    align-items: center;
    border-bottom-left-radius: 2px;
    border-top-left-radius: 2px;
    display: flex;
    flex-direction: row;
    height: 32px;
    justify-content: center;
    opacity: 0;
    position: absolute;
    right: 0;
    top: 0;
    transition: all .2s;
    width: 10px;
    z-index: 10;
}

.klinecharts-pro-drawing-bar .item .icon-arrow svg {
    height: 6px;
    transition: all .2s;
    width: 4px;
}

.klinecharts-pro-drawing-bar .item .icon-arrow:hover {
    background-color: var(--klinecharts-pro-hover-background-color);
}

.klinecharts-pro-drawing-bar .item:hover .icon-arrow {
    opacity: 1;
}

.klinecharts-pro-drawing-bar .split-line {
    background-color: var(--klinecharts-pro-border-color);
    display: block;
    height: 1px;
    margin-top: 8px;
    width: 100%;
}

.klinecharts-pro {
    --klinecharts-pro-primary-color: #1677ff;
    --klinecharts-pro-hover-background-color: rgba(22, 119, 255, .15);
    --klinecharts-pro-background-color: #fff;
    --klinecharts-pro-popover-background-color: #fff;
    --klinecharts-pro-text-color: #051441;
    --klinecharts-pro-text-second-color: #76808f;
    --klinecharts-pro-border-color: #ebedf1;
    --klinecharts-pro-selected-color: rgba(22, 119, 255, .15);
    background-color: var(--klinecharts-pro-background-color);
    color: var(--klinecharts-pro-text-color);
    display: flex;
    flex-direction: column;
    font-size: 14px;
    height: 80vh;
    position: relative;
}

.klinecharts-pro[data-theme=dark] {
    --klinecharts-pro-hover-background-color: rgba(22, 119, 255, .15);
    --klinecharts-pro-background-color: #151517;
    --klinecharts-pro-popover-background-color: #1c1c1f;
    --klinecharts-pro-text-color: #f8f8f8;
    --klinecharts-pro-text-second-color: #929aa5;
    --klinecharts-pro-border-color: #292929;
}

.klinecharts-pro-watermark {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%) translateY(-50%);
    z-index: 1;
}

.klinecharts-pro-price-unit {
    background-color: var(--klinecharts-pro-background-color);
    border: 1px solid var(--klinecharts-pro-border-color);
    border-radius: 4px;
    box-shadow: 0 3px 3px #3232324d;
    color: var(--klinecharts-pro-text-second-color);
    display: none;
    font-size: 10px;
    font-weight: 700;
    left: 50%;
    padding: 1px 4px;
    position: absolute;
    top: 4px;
    transform: translate(-50%);
    z-index: 30;
}

.klinecharts-pro-load-icon {
    height: 0;
    left: 0;
    opacity: 0;
    position: absolute;
    z-index: -1;
}

.klinecharts-pro-content {
    display: flex;
    flex-direction: row;
    height: calc(100% - 38px);
    position: relative;
    width: 100%;
}

.klinecharts-pro-widget {
    height: 100%;
    margin-left: 0;
    width: calc(100% - 52px);
}

/* Hide TradingView Logo Watermarks */
.layout__area--left-logo,
.tv-logo,
a[href*="tradingview.com"] {
    display: none !important;
}

}
